# Uses of Class
org.bukkit.util.BlockVector

Packages that use BlockVector
Package
Description
org.bukkit.block
Classes used to manipulate the voxels in a `world`, including special states.
org.bukkit.structure
Classes related to creating or using `structures` without creating `Structure blocks` in the world.
org.bukkit.util
Multi and single purpose classes to facilitate various programmatic concepts.

## Uses of BlockVector in org.bukkit.block

Methods in org.bukkit.block that return BlockVector
Modifier and Type
Method
Description
`@NotNull BlockVector`
Structure.`getRelativePosition()`
The relative position of the structure outline based on the position of the structure block.
`@NotNull BlockVector`
Structure.`getStructureSize()`
The distance to the opposite corner of this structure.
Methods in org.bukkit.block with parameters of type BlockVector
Modifier and Type
Method
Description
`void`
Structure.`setRelativePosition(@NotNull BlockVector vector)`
Set the relative position from the structure block.
`void`
Structure.`setStructureSize(@NotNull BlockVector vector)`
Set the maximum size of this structure from the origin point.

## Uses of BlockVector in org.bukkit.structure

Methods in org.bukkit.structure that return BlockVector
Modifier and Type
Method
Description
`@NotNull BlockVector`
Structure.`getSize()`
Gets the current size of the structure.
Methods in org.bukkit.structure with parameters of type BlockVector
Modifier and Type
Method
Description
`void`
Structure.`fill(@NotNull Location origin, @NotNull BlockVector size, boolean includeEntities)`
Fills the Structure from an area in a world, starting at the specified origin and extending in each axis according to the specified size vector.
`void`
Structure.`place(@NotNull RegionAccessor regionAccessor, @NotNull BlockVector location, boolean includeEntities, @NotNull StructureRotation structureRotation, @NotNull Mirror mirror, int palette, float integrity, @NotNull Random random)`
Place a structure in the world.

## Uses of BlockVector in org.bukkit.util

Methods in org.bukkit.util that return BlockVector
Modifier and Type
Method
Description
`BlockVector`
BlockVector.`clone()`
Get a new block vector.
`static @NotNull BlockVector`
BlockVector.`deserialize(@NotNull Map<String,Object> args)`
`@NotNull BlockVector`
Vector.`toBlockVector()`
Get the block vector of this vector.